<?php
namespace Mirasvit\SeoMarkup\Controller\Adminhtml\Extender\newConditionHtml;

/**
 * Interceptor class for @see \Mirasvit\SeoMarkup\Controller\Adminhtml\Extender\newConditionHtml
 */
class Interceptor extends \Mirasvit\SeoMarkup\Controller\Adminhtml\Extender\newConditionHtml implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SeoMarkup\Api\Data\ExtenderInterfaceFactory $factory, \Magento\Backend\App\Action\Context $context)
    {
        $this->___init();
        parent::__construct($factory, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function execute() : \Magento\Framework\App\ResponseInterface
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
